Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 5.1.8SynchronousAuth Required
SNSEmailTestConnection
SNSEmailTestConnection
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
emailsListOptional. The email addresses.
platformUuidStringOptional. The email platform UUID.
endpointUuidStringOptional. The email endpoint UUID.
subjectStringOptional. The subject.
textStringOptional. The text.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sns/application-endpoints/email/test-connection
/zstack/v1/sns/application-endpoints/email/test-connection
Request Example
curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/email/test-connection' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"emails":["<emails>"],"platformUuid":"<platformUuid>","endpointUuid":"<endpointUuid>","subject":"<subject>","text":"<text>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "connected": true, "webhookResp": {} }Change History
This API has no change history records yet.
